#include "Program.h"

Program::Program() {
    // Startup
    Serial.begin(MONITOR_SPEED);

    this->encoder = new Encoder(ENCODER_DT, ENCODER_CLK);

    this->oldPosition = -999;
}

void Program::loop() {
    long newPosition = this->encoder->read()/4;
    if (newPosition != this->oldPosition) {
        this->oldPosition = newPosition;
        Serial.println(newPosition);
    }
}
